Donald Poole, Jr.

gSOAP 2.8.3 Cross-Compilation

Discussion created by Donald Poole, Jr. on Jan 19, 2012
Latest reply on Jan 21, 2012 by Donald Poole, Jr.

Has anyone successfully cross-compiled gSOAP 2.8.3+ and created/ran a gSOAP server on the i.MX53 QSB?  I have successfully cross-compiled and installed gSOAP 2.8.3, but all server-side application fail because all gSOAP socket bind calls set the IPV6_V6ONLY socket option and then fail with the error ENOPROTOOPT (verified with strace).

 

I know I have IPv6 support in my kernel (I'm running the 2.6.35.3 freescale linux kernel), because I enabled it in the kernel config and I can see the if_inet6 file in /proc/net.  Unfortunately, i can't simply use the latest release of gSOAP because the lastest doesn't work software.  Has anyone encountered this before or have any ideas?  Any help would be greatly appreciated!

Outcomes